Package: org.gmetrics.report

## [Groovy] Class SingleSeriesCriteriaFilter

- org.gmetrics.report.SingleSeriesCriteriaFilter

- Provides data and behavior for enabling reports to filter the results based on a single metric, single level and single function to provide a single series of data. This class is intended to be used as a Groovy

  Mixin:
    for ReportWriter classes.

    The `metric`, `level` and `function` properties are required (must be non-null and non-empty). These three properties uniquely identify a single series of metric values.

    The `metric` property must specify the name (case-sensitive) of a single Metric (for example "CyclomaticComplexity") included in the analysis results.

    The `level` property must be set to one of: "package", "class" or "method".

    The `function` property must be set to the name of a function supported by the metric, typically one of: "total", "average", "minimum" or "maximum".

    The `sort` property is optional, and if not `null` or empty, must either have the value of "ascending" or "descending", and causes the results to be sorted numerically in either ascending or descending order.

    The `maxResults` property is optional. A value of `null`, empty or `0` means no limit. Otherwise, the value must be positive, and limits the number of results returned.

    The `greaterThan` property is optional. The value specifies a threshold -- only results with a larger value are returned. A value of `null` or empty means no threshold.

    The `lessThan` property is optional. The value specifies a threshold -- only results with a smaller value are returned. A value of `null` or empty means no threshold.
  Authors:
    Chris Mair

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `String` | `function`
    `String` | `greaterThan`
    `String` | `lessThan`
    `String` | `level`
    `String` | `maxResults`
    `String` | `metric`
    `String` | `sort`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `List<SeriesValue>` | `buildSeriesData(ResultsNode resultsNode, MetricSet metricSet)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Property Detail

    - #### String function

    - #### String greaterThan

    - #### String lessThan

    - #### String level

    - #### String maxResults

    - #### String metric

    - #### String sort

  - ### Method Detail

    - #### List<SeriesValue> buildSeriesData(ResultsNode resultsNode, MetricSet metricSet)